[**@rxap/authorization**](../README.md)

***

[@rxap/authorization](../globals.md) / MatCheckboxHasEnablePermissionDirective

# Class: MatCheckboxHasEnablePermissionDirective

Defined in: [mat-checkbox-has-enable-permission.directive.ts:21](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/authorization/src/lib/mat-checkbox-has-enable-permission.directive.ts#L21)

## Extends

- [`HasEnablePermission`](HasEnablePermission.md)

## Constructors

### new MatCheckboxHasEnablePermissionDirective()

> **new MatCheckboxHasEnablePermissionDirective**(`authorization`, `cdr`, `matCheckbox`, `scope`, `valueAccessor`): [`MatCheckboxHasEnablePermissionDirective`](MatCheckboxHasEnablePermissionDirective.md)

Defined in: [mat-checkbox-has-enable-permission.directive.ts:25](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/authorization/src/lib/mat-checkbox-has-enable-permission.directive.ts#L25)

#### Parameters

##### authorization

[`AuthorizationService`](AuthorizationService.md)

##### cdr

`ChangeDetectorRef`

##### matCheckbox

`MatCheckbox`

##### scope

`string`

##### valueAccessor

`null` | `ControlValueAccessor`[]

#### Returns

[`MatCheckboxHasEnablePermissionDirective`](MatCheckboxHasEnablePermissionDirective.md)

#### Overrides

[`HasEnablePermission`](HasEnablePermission.md).[`constructor`](HasEnablePermission.md#constructors)

## Properties

### cdr

> `protected` `readonly` **cdr**: `ChangeDetectorRef`

Defined in: [has-enable-permission.ts:28](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/authorization/src/lib/has-enable-permission.ts#L28)

#### Inherited from

[`HasEnablePermission`](HasEnablePermission.md).[`cdr`](HasEnablePermission.md#cdr-1)

***

### identifier

> **identifier**: `string`

Defined in: [mat-checkbox-has-enable-permission.directive.ts:23](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/authorization/src/lib/mat-checkbox-has-enable-permission.directive.ts#L23)

#### Overrides

[`HasEnablePermission`](HasEnablePermission.md).[`identifier`](HasEnablePermission.md#identifier)

## Methods

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [has-enable-permission.ts:60](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/authorization/src/lib/has-enable-permission.ts#L60)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Inherited from

[`HasEnablePermission`](HasEnablePermission.md).[`ngOnDestroy`](HasEnablePermission.md#ngondestroy)

***

### ngOnInit()

> **ngOnInit**(): `void`

Defined in: [has-enable-permission.ts:39](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/authorization/src/lib/has-enable-permission.ts#L39)

A callback method that is invoked immediately after the
default change detector has checked the directive's
data-bound properties for the first time,
and before any of the view or content children have been checked.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Inherited from

[`HasEnablePermission`](HasEnablePermission.md).[`ngOnInit`](HasEnablePermission.md#ngoninit)

***

### setDisabled()

> **setDisabled**(`disabled`): `void`

Defined in: [mat-checkbox-has-enable-permission.directive.ts:42](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/authorization/src/lib/mat-checkbox-has-enable-permission.directive.ts#L42)

#### Parameters

##### disabled

`boolean`

#### Returns

`void`

#### Overrides

[`HasEnablePermission`](HasEnablePermission.md).[`setDisabled`](HasEnablePermission.md#setdisabled)
